All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
MulScale
Arithmetic Operations

Pixel by pixel multiplies each pixel of two images then scales the result by the maximum value for the data bit width. More...

## Functions

NppStatus | nppiMulScale_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_8u_C1IR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel in place image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_8u_C1IR (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_8u_C3R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_8u_C3R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_8u_C3IR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel in place image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_8u_C3IR (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_8u_AC4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel with unmodified alpha image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_8u_AC4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_8u_AC4IR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel with unmodified alpha in place image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_8u_AC4IR (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_8u_C4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_8u_C4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_8u_C4IR_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel in place image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_8u_C4IR (const Npp8u *pSrc, int nSrcStep, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_16u_C1R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_16u_C1R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_16u_C1IR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel in place image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_16u_C1IR (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_16u_C3R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_16u_C3R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_16u_C3IR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel in place image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_16u_C3IR (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_16u_AC4R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel with unmodified alpha image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_16u_AC4R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_16u_AC4IR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel with unmodified alpha in place image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_16u_AC4IR (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_16u_C4R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_16u_C4R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiMulScale_16u_C4IR_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel in place image multiplication then scale by maximum value for pixel bit width. More...
NppStatus | nppiMulScale_16u_C4IR (const Npp16u *pSrc, int nSrcStep, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)

## Detailed Description

Pixel by pixel multiplies each pixel of two images then scales the result by the maximum value for the data bit width.

## Function Documentation

NppStatus nppiMulScale_16u_AC4IR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_16u_AC4IR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel with unmodified alpha in place image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_16u_AC4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_16u_AC4R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel with unmodified alpha image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_16u_C1IR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_16u_C1IR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel in place image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_16u_C1R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_16u_C1R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_16u_C3IR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_16u_C3IR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel in place image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_16u_C3R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_16u_C3R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_16u_C4IR | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_16u_C4IR_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel in place image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_16u_C4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_16u_C4R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_8u_AC4IR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_8u_AC4IR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel with unmodified alpha in place image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_8u_AC4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_8u_AC4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel with unmodified alpha image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_8u_C1IR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_8u_C1IR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel in place image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_8u_C3IR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_8u_C3IR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel in place image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_8u_C3R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_8u_C3R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_8u_C4IR | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_8u_C4IR_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel in place image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiMulScale_8u_C4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiMulScale_8u_C4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel image multiplication then scale by maximum value for pixel bit width.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2020 NVIDIA Corporation